<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>HRIS Attendance Request </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-calendar-check" style="color: #9B7536"></i> Attendance Request
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-success" th:if="${deleted != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Dihapus.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <div class="row">
            <div class="col-md-6">
                <!--            <h3 class="box-title">List of Budget Line</h3>-->
                <p>
                    <a
                            class="link-primary"
                    th:href="@{/request/attendance/new}"
                       role="button"
                    >Click here</a
                    >
                    For new attendance request.
                </p>
            </div>
            <div class="col-md-6" align="right"></div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-hover table-striped small">
                        <thead>

                        <tr>
                            <th class="border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Request Date</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Attendance Date</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">In Out</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Desc</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px">Status</th>
                            <!--                            <th scope="col" style="width: 40px"></th>-->
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="dataAttendanceRequest,row : ${listAttendanceRequest}">
                            <td class="border-0 border-bottom text-end" th:text="${(row.index + 1) + (listAttendanceRequest.number * listAttendanceRequest.size)}">1.</td>
                            <td class="border-0 border-bottom" th:text="${#temporals.format(dataAttendanceRequest.tanggalPengajuan,'dd-MMM-yyyy')}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${#temporals.format(dataAttendanceRequest.tanggal,'dd-MMM-yyyy')}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${#temporals.format(dataAttendanceRequest.jamMasuk,'hh:mm a') + ' - ' + #temporals.format(dataAttendanceRequest.jamKeluar,'hh:mm a')}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataAttendanceRequest.getKeterangan()}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:if="${dataAttendanceRequest.statusApprove.toString().equals('WAITING')}">
                                <div class="d-grid gap-2">
                                    <button  type="button" class="btn btn-outline-secondary btn-sm small" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataAttendanceRequest.getId()}">
                                        <span th:text="${dataAttendanceRequest.statusApprove}"></span>
                                    </button>
                                </div>
                            </td>
                            <td class="border-0 border-bottom" th:if="${dataAttendanceRequest.statusApprove.toString().equals('APPROVED')}">
                                <div class="d-grid gap-2">
                                    <button type="button" class="btn btn-outline-success btn-sm small" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataAttendanceRequest.getId()}">
                                        <span th:text="${dataAttendanceRequest.statusApprove}"></span>
                                    </button>
                                </div>
                            </td>
                            <td class="border-0 border-bottom" th:if="${dataAttendanceRequest.statusApprove.toString().equals('REJECTED') || dataAttendanceRequest.statusApprove.toString().equals('CANCELED')}">
                                <div class="d-grid gap-2">
                                    <button type="button" class="btn btn-outline-success btn-sm small" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataAttendanceRequest.getId()}">
                                        <span th:text="${dataAttendanceRequest.statusApprove}"></span>
                                    </button>
                                </div>
                            </td>
                            <td class="border-0 border-bottom">
                                <form method="post" th:action="@{/request/attendance/delete(attendanceRequest=${dataAttendanceRequest.id})}">
                                    <button type="submit" class="btn btn-danger btn-sm small" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to cancel this?')">
                                        Cancel
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div th:each="dataAttendanceRequest,row : ${listAttendanceRequest}">
                        <div class="modal fade" th:id="exampleModal+${dataAttendanceRequest.getId()}"
                             tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <!--                                <div class="modal fade" th:id="modal-default+${dataAttendanceRequest.getId()}">-->
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Detail Approval</h4>
                                    </div>
                                    <div class="modal-body">
                                        &nbsp;
                                        <table class="table table-hover table-striped small">
                                            <tr th:each="dataApproval, stat: *{listApproval}">
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id}">
                                                    <span th:text="${dataApproval.getNomor()}">Update software</span>
                                                </td>
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id}">
                                                    <span th:text="${dataApproval.getEmployee()}">Update software</span>
                                                </td>
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id}">
                                                    <span th:text="${dataApproval.getPosition()}">Update software</span>
                                                </td>
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id}">
                                                    <span th:text="${dataApproval.getApprove()}">Update software</span>
                                                </td>
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id} and ${dataApproval.getTanggalApprove()} != null ">
                                                    <span th:text="${dataApproval.getTanggalApprove()}">Update software</span>
                                                </td>
                                                <td class="border-0 border-bottom" th:if="${dataApproval.getAttendanceRequest()} == ${dataAttendanceRequest.id} and ${dataApproval.getKeterangan()} != 'Approve' ">
                                                    <span th:text="${dataApproval.getKeterangan()}">Update software</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>

                                    </div>
                                </div>
                                <!-- /.modal-content -->
                            </div>
                            <!-- /.modal-dialog -->
                        </div>
                    </div>

                </div>
            </div>
            <br />

            <nav aria-label="Page navigation example">
                <ul class="pagination" sd:pagination="full"></ul>
            </nav>
        </div>
    </main>

</main>
</body>
</html>

